"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Badge = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _i18n = require("../i18n");
var _jsxRuntime = require("preact/compat/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * For information about how and when to use this component,
 * [refer to its full documentation page](https://design.cms.gov/components/badge/).
 */
const Badge = props => {
  const {
    className = '',
    children,
    size,
    variation,
    ...others
  } = props;
  const sizeClasses = {
    big: 'ds-c-badge--big'
  };
  const variationClass = variation && `ds-c-badge--${variation}`;
  const classes = (0, _classnames.default)('ds-c-badge', variationClass, sizeClasses[size], className);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("span", {
    className: classes,
    ...others,
    children: [variation && /*#__PURE__*/(0, _jsxRuntime.jsxs)("span", {
      className: "ds-u-visibility--screen-reader",
      children: [(0, _i18n.t)(`badge.${variation}`), ": "]
    }), children]
  });
};
exports.Badge = Badge;
var _default = exports.default = Badge;