"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TabPanel = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("preact/compat/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const TabPanel = props => {
  const classes = (0, _classnames.default)('ds-c-tabs__panel', props.className);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    "aria-labelledby": props.tabId,
    "aria-hidden": !props.selected,
    className: classes,
    id: props.id,
    role: "tabpanel",
    children: props.children
  });
};

// Set component name to make child.type.displayName available to other components (eg. Tab)
exports.TabPanel = TabPanel;
TabPanel.displayName = 'TabPanel';
TabPanel.defaultProps = {
  selected: false
};
var _default = exports.default = TabPanel;