"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StatusIcon = void 0;
var _Icons = require("../Icons");
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("preact/compat/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const StatusIcon = _ref => {
  let {
    status
  } = _ref;
  const iconClass = (0, _classnames.default)('ds-u-margin-right--1', {
    'ds-c-icon-color--success': status === 'use',
    'ds-c-icon-color--warn': status === 'caution',
    'ds-c-icon-color--error': status === 'avoid'
  });
  const iconStyle = {
    height: '1em',
    width: '1em',
    verticalAlign: 'text-bottom'
  };
  if (status === 'use') return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icons.CheckCircleIcon, {
    className: iconClass,
    style: iconStyle
  });
  if (status === 'caution') return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icons.WarningIcon, {
    className: iconClass,
    style: iconStyle
  });
  if (status === 'avoid') return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icons.AlertCircleIcon, {
    className: iconClass,
    style: iconStyle
  });
  return null;
};
exports.StatusIcon = StatusIcon;