"use strict";

var _define = require("../preactement/define");
var _MonthPicker = require("../../MonthPicker");
var _wrapperUtils = require("../wrapperUtils");
var _form = require("../shared-attributes/form");
var _jsxRuntime = require("preact/compat/jsx-runtime");
const attributes = ['button-variation', 'class-name', 'clear-all-text', 'default-selected-months', 'disabled-months', 'inversed', 'name', 'root-id', 'select-all-text', ..._form.formAttrs];

/* eslint-disable @typescript-eslint/no-namespace */

/* eslint-enable */

const Wrapper = _ref => {
  let {
    children,
    rootId,
    defaultSelectedMonths,
    disabledMonths,
    selectedMonths,
    ...otherProps
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_MonthPicker.MonthPicker, {
    ...otherProps,
    id: rootId,
    inversed: (0, _wrapperUtils.parseBooleanAttr)(otherProps.inversed),
    defaultSelectedMonths: typeof defaultSelectedMonths === 'string' ? JSON.parse(defaultSelectedMonths) : defaultSelectedMonths,
    disabledMonths: typeof disabledMonths === 'string' ? JSON.parse(disabledMonths) : disabledMonths,
    selectedMonths: typeof selectedMonths === 'string' ? JSON.parse(selectedMonths) : selectedMonths,
    children: children
  });
};
(0, _define.define)('ds-month-picker', () => Wrapper, {
  attributes,
  events: ['onChange', 'onSelectAll', 'onClearAll']
});