"use strict";

var _define = require("../preactement/define");
var _Tabs = require("../../Tabs");
var _wrapperUtils = require("../wrapperUtils");
var _compat = require("preact/compat");
var _jsxRuntime = require("preact/compat/jsx-runtime");
const attributes = ['default-selected-id', 'selected-id', 'tablist-class-name', 'tabs-aria-label'];
function parseChildren(nodes) {
  return nodes.map(element => {
    const attrs = element.props;
    if (!attrs.id || !attrs.children || !attrs.tab) {
      console.warn('Each child passed to `ds-tabs` must include `id` and `children` attributes for `TabPanel` functionality.');
      return null;
    }
    const {
      id,
      children,
      'class-name': className,
      selected: selected,
      disabled: disabled,
      tab: tab,
      'tab-class-name': tabClassName,
      'tab-href': tabHref,
      'tab-id': tabId,
      ...otherAttributes
    } = attrs;
    const props = {
      id,
      className,
      selected: (0, _wrapperUtils.parseBooleanAttr)(selected),
      disabled: (0, _wrapperUtils.parseBooleanAttr)(disabled),
      tab: (0, _wrapperUtils.parseJsonAttr)(tab),
      tabClassName,
      tabHref,
      tabId
    };
    return (0, _compat.createElement)(_Tabs.TabPanel, {
      ...props,
      ...otherAttributes
    }, children);
  });
}
const Wrapper = _ref => {
  let {
    tabsAriaLabel,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.Tabs, {
    ...props,
    ariaLabel: tabsAriaLabel,
    children: parseChildren(props.children)
  });
};

/* eslint-disable @typescript-eslint/no-namespace */

/* eslint-enable */

(0, _define.define)('ds-tabs', () => Wrapper, {
  attributes,
  events: [['onChange', (selectedId, prevSelectedId) => ({
    detail: {
      selectedId,
      prevSelectedId
    }
  })]]
});