import { Children, cloneElement } from "preact/compat";
import { jsx as _jsx } from "preact/compat/jsx-runtime";
export const TableHead = _ref => {
  let {
    children,
    ...tableHeadProps
  } = _ref;
  const renderChildren = () => {
    return Children.map(children, child => {
      // Extend props before rendering.
      if (child && child.props) {
        return cloneElement(child, {
          _isTableHeadChild: true
        });
      }
      return child;
    });
  };
  return /*#__PURE__*/_jsx("thead", {
    role: "rowgroup",
    ...tableHeadProps,
    children: renderChildren()
  });
};
export default TableHead;