"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StarIcon = StarIcon;
var _i18n = require("../i18n");
var _SvgIcon = require("./SvgIcon");
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const defaultProps = {
  className: '',
  viewBox: '0 0 18 16'
};
function StarIcon(props) {
  // don't want to pass isFilled through to SvgIcon
  const {
    isFilled,
    ...otherProps
  } = props;
  const iconCssClasses = (0, _classnames.default)('ds-c-icon--star', {
    'ds-c-icon--star-filled': isFilled
  }, props.className);
  const title = isFilled ? (0, _i18n.t)('icons.starFilled') : (0, _i18n.t)('icons.star');
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_SvgIcon.SvgIcon, {
    title: title,
    ...defaultProps,
    ...otherProps,
    className: iconCssClasses,
    children: isFilled ? /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M8.533 13.063l-5.274 2.69 1.008-5.699L0 6.017l5.896-.831L8.533 0l2.637 5.186 5.897.831-4.267 4.037 1.007 5.7z",
      fillRule: "nonzero"
    }) : /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      className: "ds-c-icon--star__outline",
      d: "M13.14 14.852l-.88-4.976 3.709-3.508-5.126-.723-2.31-4.542-2.309 4.542-5.126.723 3.708 3.508-.88 4.976 4.607-2.35 4.607 2.35z",
      fillRule: "nonzero",
      fill: "none",
      stroke: "currentColor",
      strokeWidth: "1"
    })
  });
}