"use strict";

var _define = require("../preactement/define");
var _ChoiceList = require("../../ChoiceList/ChoiceList");
var _wrapperUtils = require("../wrapperUtils");
var _findElementsOfType = require("../../utilities/findElementsOfType");
var _form = require("../shared-attributes/form");
var _jsxRuntime = require("react/jsx-runtime");
const attributes = ['choices', 'class-name', 'disabled', 'inversed', 'name', 'root-id', 'size', 'type', ..._form.formAttrs];

/* eslint-disable @typescript-eslint/no-namespace */

/* eslint-enable */

const Wrapper = _ref => {
  let {
    children,
    choices,
    rootId,
    ...otherProps
  } = _ref;
  function parseChildren(node) {
    const elements = (0, _findElementsOfType.findElementsOfType)(['ds-choice'], node);
    if (elements.length) {
      return Array.from(elements).map(element => {
        const {
          children,
          ...attrs
        } = element.props;

        /**
         * Begin logic to define optional nested children of a choice.
         */
        let checkedChild,
          uncheckedChild = undefined;
        if (element.props.children.length > 0) {
          element.props.children.map(child => {
            if (typeof child !== 'string') {
              const {
                children,
                slot
              } = child.props;
              if (slot === 'checked-children') {
                checkedChild = children;
              }
              if (slot === 'unchecked-children') {
                uncheckedChild = children;
              }
            }
          });
        }
        return {
          checkedChildren: checkedChild,
          uncheckedChildren: uncheckedChild,
          ...attrs
        };
      });
    }
    return [];
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_ChoiceList.ChoiceList, {
    ...otherProps,
    choices: typeof choices === 'string' ? JSON.parse(choices) : parseChildren(children),
    disabled: (0, _wrapperUtils.parseBooleanAttr)(otherProps.disabled),
    id: rootId,
    inversed: (0, _wrapperUtils.parseBooleanAttr)(otherProps.inversed)
  });
};
(0, _define.define)('ds-choice-list', () => Wrapper, {
  attributes,
  events: ['onChange', 'onBlur', 'onComponentBlur']
});