"use strict";

var _define = require("../preactement/define");
var _DateField = require("../../DateField");
var _wrapperUtils = require("../wrapperUtils");
var _form = require("../shared-attributes/form");
var _jsxRuntime = require("react/jsx-runtime");
const attributes = ['name', 'root-id', 'inversed', 'value', 'default-month', 'from-date', 'from-month', 'from-year', 'to-date', 'to-month', 'to-year', ..._form.formAttrs];
const Wrapper = _ref => {
  let {
    rootId,
    inversed,
    defaultMonth,
    fromDate,
    fromMonth,
    fromYear,
    toDate,
    toMonth,
    toYear,
    value,
    ...otherProps
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_DateField.SingleInputDateField, {
    id: rootId,
    inversed: (0, _wrapperUtils.parseBooleanAttr)(inversed),
    defaultValue: value,
    defaultMonth: (0, _wrapperUtils.parseDateAttr)(defaultMonth),
    fromDate: (0, _wrapperUtils.parseDateAttr)(fromDate),
    fromMonth: (0, _wrapperUtils.parseDateAttr)(fromMonth),
    fromYear: (0, _wrapperUtils.parseIntegerAttr)(fromYear),
    toDate: (0, _wrapperUtils.parseDateAttr)(toDate),
    toMonth: (0, _wrapperUtils.parseDateAttr)(toMonth),
    toYear: (0, _wrapperUtils.parseIntegerAttr)(toYear),
    ...otherProps
  });
};

/* eslint-disable @typescript-eslint/no-namespace */

/* eslint-enable */

(0, _define.define)('ds-date-field', () => Wrapper, {
  attributes,
  events: [['onChange', (updatedValue, formattedValue) => ({
    detail: {
      updatedValue,
      formattedValue
    }
  })], 'onBlur']
});