"use strict";

var _define = require("../preactement/define");
var _Dropdown = require("../../Dropdown");
var _wrapperUtils = require("../wrapperUtils");
var _form = require("../shared-attributes/form");
var _jsxRuntime = require("react/jsx-runtime");
const attributes = [
// Using the lowercase HTML attribute name rather than `auto-focus` so it's
// more natural. There's no reason for us to worry about name collisions.
'autofocus', 'aria-disabled', 'class-name', 'default-value', 'disabled', 'field-class-name', 'inversed', 'name', 'options', 'root-id', 'size', 'value', ..._form.formAttrs];

/* eslint-disable @typescript-eslint/no-namespace */

/* eslint-enable */

const Wrapper = _ref => {
  let {
    children,
    options,
    rootId,
    ...otherProps
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Dropdown.Dropdown, {
    ...otherProps,
    autoFocus: (0, _wrapperUtils.parseBooleanAttr)(otherProps.autofocus),
    disabled: (0, _wrapperUtils.parseBooleanAttr)(otherProps.disabled),
    "aria-disabled": (0, _wrapperUtils.parseBooleanAttr)(otherProps.ariaDisabled),
    options: typeof options === 'string' ? JSON.parse(options) : options,
    id: rootId,
    inversed: (0, _wrapperUtils.parseBooleanAttr)(otherProps.inversed),
    children: options ? undefined : children
  });
};
(0, _define.define)('ds-dropdown', () => Wrapper, {
  attributes,
  events: ['onChange', 'onBlur']
});