import { ReactElement, ReactNode } from 'react';
import { AutocompleteProps, AutocompleteItem, AutocompleteItems } from './Autocomplete';
import { ComboBoxState } from '../react-aria';
export declare function renderReactStatelyItems(items: AutocompleteItems, itemToString: AutocompleteProps['itemToString']): import("react/jsx-runtime").JSX.Element[];
export declare function renderStatusMessage(message: ReactNode): import("react/jsx-runtime").JSX.Element;
export declare function getTextFieldChild(children: ReactNode): ReactElement | undefined;
/**
 * Assumes that it will find the item, so only use in cases where react-aria
 * would define an aria-activedescendent
 */
export declare function getActiveDescendant(rootId: string, state: ComboBoxState<object>, items: AutocompleteItem[]): string;
/**
 * Mutates the original object, deleting properties whose values are undefined.
 * Returns the object.
 */
export declare function removeUndefined<T>(obj: T): T;
export declare const findItemById: (id: string, items: AutocompleteItems) => AutocompleteItem | undefined;
