import type * as React from 'react';
export type BadgeSize = 'big';
export type BadgeVariation = 'info' | 'success' | 'warn' | 'alert';
interface BaseBadgeProps {
    /**
     * Additional classes to be added to the root badge element.
     * Useful for adding utility classes.
     */
    className?: string;
    /**
     * Label text or HTML.
     */
    children: string | React.ReactNode;
    /**
     * Sets the font size of the Badge. Only supports 'big'
     */
    size?: BadgeSize;
    /**
     * A string corresponding to the badge-component variation classes
     */
    variation?: BadgeVariation;
}
export type BadgeProps = BaseBadgeProps & React.ComponentPropsWithRef<'span'>;
/**
 * For information about how and when to use this component,
 * [refer to its full documentation page](https://design.cms.gov/components/badge/).
 */
export declare const Badge: (props: BadgeProps) => import("react/jsx-runtime").JSX.Element;
export default Badge;
