import type * as React from 'react';
interface BaseCloseButtonProps {
    /**
     * An aria-label is required since the button content is only an X
     */
    'aria-label': string;
    /**
     * Hides or shows icon's aria text.
     */
    ariaHidden?: boolean;
    /**
     * Additional classes to be added to the button element.
     */
    className?: string;
    /**
     * A custom `id` attribute for the dialog element
     */
    id?: string;
}
export type CloseButtonProps = Omit<React.ComponentPropsWithRef<'button'>, keyof BaseCloseButtonProps> & BaseCloseButtonProps;
/**
 *
 */
export declare const CloseButton: ({ className, id: idProp, ariaHidden, ...buttonAttributes }: CloseButtonProps) => import("react/jsx-runtime").JSX.Element;
export default CloseButton;
