import type * as React from 'react';
import { ButtonProps } from '../Button/Button';
export type DrawerToggleProps = ButtonProps & {
    /**
     * Determines if Drawer is open or closed.
     * This value is used to re-focus the toggle that opened the drawer when the drawer closes.
     */
    drawerOpen: boolean;
    /**
     * DrawerToggle content.
     */
    children: React.ReactNode;
    /**
     * Additional classes for the toggle button anchor element.
     */
    className?: string;
    /**
     * Adds `display: inline` to the DrawerToggle.
     */
    inline?: boolean;
    /**
     * This function is called with an id that the toggle generates.
     * It can be used in implementing the Drawer for keeping track of which drawer the toggle controls.
     */
    showDrawer: (string: any) => any;
};
/**
 * A link that triggers the visibility of a drawer
 */
export declare const DrawerToggle: ({ className, children, inline, showDrawer, drawerOpen, ...others }: DrawerToggleProps) => React.ReactElement;
export default DrawerToggle;
