export interface FilterChipProps {
    /**
     * Id for filter chip button. If not provided, a unique id will be automatically generated and used.
     */
    id?: string;
    /**
     * Class to be applied to the outer `<div>` that contains filter chip button.
     */
    className?: string;
    /**
     * Text for the filter chip.
     */
    label: string;
    /**
     *  Labels filter action, i.e., "Remove." For screenreader support.
     */
    ariaClearLabel?: string;
    /**
     * Function to call when filter chip is dismissed.
     */
    onDelete: () => any;
    /**
     *  Use alternate thinner close icon in place of standard.
     */
    useAlternateIcon?: boolean;
    /**
     * Sets the size of the chip to larger version.
     */
    size?: 'big';
}
/**
 * For information about how and when to use this component,
 * [refer to its full documentation page](https://design.cms.gov/components/filter-chip/).
 */
export declare const FilterChip: ({ ariaClearLabel, className, label, id, onDelete, size, useAlternateIcon, }: FilterChipProps) => import("react/jsx-runtime").JSX.Element;
export default FilterChip;
