import type * as React from 'react';
import { FunctionComponent } from 'react';
export type NoteBoxHeadingLevel = '2' | '3' | '4' | '5' | '6';
interface NoteBoxProps {
    /**
     * Applies a border to the box content.
     */
    bordered?: boolean;
    /**
     * Content to be displayed within the Box
     */
    children: React.ReactNode;
    /**
     * Additional classes to be added to the component
     */
    className?: string;
    /**
     * Text for the box content heading
     */
    heading?: React.ReactNode;
    /**
     * Heading type to override default `<h2>`.
     */
    headingLevel?: NoteBoxHeadingLevel;
}
declare const NoteBox: FunctionComponent<NoteBoxProps>;
export default NoteBox;
