import type * as React from 'react';
import { FunctionComponent } from 'react';
import { RequireAtLeastOne } from '../utilities/requireAtLeastOne';
interface MinimumNoteBoxQuotationProps {
    /**
     * Provide an author for the quote. It is required if a citation is not provided.
     */
    author?: string;
    /**
     * Content to be displayed within the Box Quotation
     */
    children: React.ReactNode;
    /**
     * Provide a citation for the quote. A citation is the title of a cited creative work. This can be a website, book chapter, but not an author. This component can accept more complex HTML in addition to strings, so passing in a link directly to the citation source is possible.
     */
    citation?: React.ReactNode;
    /**
     * Additional classes to be added to the component
     */
    className?: string;
}
export type NoteBoxQuotationProps = RequireAtLeastOne<MinimumNoteBoxQuotationProps, 'citation' | 'author'>;
declare const NoteBoxQuotation: FunctionComponent<NoteBoxQuotationProps>;
export default NoteBoxQuotation;
