import type * as React from 'react';
export interface PageProps {
    /**
     * Defines the page number.
     */
    index: number;
    /**
     * Renders current page if true, other links if false.
     */
    isActive: boolean;
    /**
     * A callback function used to handle state changes.
     */
    onPageChange?: (evt: React.MouseEvent) => void;
    /**
     * Defines application-specific routing in url for links.
     */
    href: string;
}
export default function Page({ href, index, isActive, onPageChange, }: PageProps): React.ReactElement;
