import { StepLinkProps } from './StepLink';
type HeadingLevel = '1' | '2' | '3' | '4' | '5';
export interface StepObject {
    id?: string;
    href: string;
    heading: string;
    headingLevel?: HeadingLevel;
    description?: string;
    linkText?: string;
    completed?: boolean;
    started?: boolean;
    isNextStep?: boolean;
    onClick?: StepLinkProps['onClick'];
    component?: StepLinkProps['component'];
    steps?: StepObject[];
}
export interface StepProps {
    step: StepObject;
    onStepLinkClick?: StepLinkProps['onClick'];
    showSubSubSteps?: boolean;
    completedText: string;
    editText: string;
    resumeText: string;
    startText: string;
}
export declare const Step: ({ step, ...props }: StepProps) => import("react/jsx-runtime").JSX.Element;
export default Step;
