import type * as React from 'react';
interface BaseTableBodyProps {
    /**
     * The table body contents, usually `TableRow`.
     */
    children?: React.ReactNode;
}
type OmitProps = 'children';
export type TableBodyProps = Omit<React.ComponentPropsWithoutRef<'tbody'>, OmitProps> & BaseTableBodyProps;
/**
 * `TableBody` renders the `<tbody>` element and will typically contain `TableRow` elements to define table data.
 */
export declare const TableBody: ({ children, ...tableBodyProps }: TableBodyProps) => import("react/jsx-runtime").JSX.Element;
export default TableBody;
