import type * as React from 'react';
export interface TableCaptionProps {
    /**
     * The table caption contents.
     */
    children?: React.ReactNode;
    /**
     * Additional classes to be added to the caption element.
     */
    className?: string;
    /**
     * @hide-prop This gets passed from the parent `Table` component when the table `scrollable` prop is set.
     */
    _id?: string;
    /**
     * @hide-prop This gets passed from the parent `Table` component when the table `scrollable` prop is set.
     */
    _scrollActive?: boolean;
    /**
     * @hide-prop This gets passed from the parent `Table` component when the table `scrollable` prop is set.
     */
    _scrollableNotice?: React.ReactNode;
}
export declare const TableCaption: {
    ({ children, className, _id, _scrollActive, _scrollableNotice, ...tableCaptionProps }: TableCaptionProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default TableCaption;
