import type * as React from 'react';
export interface TabPanelProps {
    children: React.ReactNode;
    /**
     * Additional classes to be added to the root element.
     */
    className?: string;
    /**
     * A unique `id`, to be used on the rendered panel element.
     */
    id: string;
    selected?: boolean;
    disabled?: boolean;
    /**
     * The associated tab's label. Only applicable when the panel is a
     * child of `Tabs`.
     */
    tab?: React.ReactNode;
    /**
     * Additional classes for the associated tab. Only applicable when the panel
     * is a child of `Tabs`.
     */
    tabClassName?: string;
    /**
     * The associated tab's `href`. Only applicable when the panel is a
     * child of `Tabs`.
     */
    tabHref?: string;
    /**
     * The `id` of the associated `Tab`. Used for the `aria-labelledby` attribute.
     */
    tabId?: string;
}
export declare const TabPanel: {
    (props: TabPanelProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
    defaultProps: {
        selected: boolean;
    };
};
export default TabPanel;
