import { AnalyticsOverrideProps, AnalyticsParentDataProps } from '../analytics';
export interface ThirdPartyExternalLinkProps extends AnalyticsOverrideProps, AnalyticsParentDataProps {
    /** An id of an another element on the page that provides additional descriptive content for the anchor link */
    ariaDescribedby?: string;
    /** External link url. The destination. */
    href: string;
    /** External link text. This text will appear in the button triggering the dialog. */
    children: string;
    /** Additional classes to be applied to the external link button. */
    className?: string;
    /** Specify the URL users should visit to learn more about your application's external link policy. */
    learnMoreUrl?: string;
    /** Text informing the user where they are. This text will appear in both the dialog heading and body. */
    origin: string;
}
/**
 * For information about how and when to use this component,
 * [refer to its full documentation page](https://design.cms.gov/components/third-party-external-link/).
 */
declare const ThirdPartyExternalLink: {
    (props: ThirdPartyExternalLinkProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: {};
};
export default ThirdPartyExternalLink;
