import { AnalyticsEvent } from '../analytics';
export declare const WAIT_TIME = 10;
/**
 * The web component event configuration to pass into the define function's `events`
 * option that will allow users to override the default analytics function by creating
 * an event listener for the `ds-analytics-event` event and calling the `preventDefault`
 * function.
 *
 * For example,
 *
 * define('ds-button', () => Wrapper, { attributes, events: ['onClick', onAnalyticsEvent] });
 */
export declare const onAnalyticsEvent: readonly ["onAnalyticsEvent", (event: AnalyticsEvent) => {
    detail: {
        event: AnalyticsEvent;
    };
    preventDefault: () => void;
}];
